www.cendio.com
Bug 6976 - Error logs in /var/log/messages from Firefox on RHEL7
: Error logs in /var/log/messages from Firefox on RHEL7
Status: CLOSED FIXED
: ThinLinc
Server OS
: trunk
: PC Unknown
: P2 Normal
: 4.9.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2017-05-19 09:43 by
Modified: 2017-09-05 10:00 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2017-05-19 09:43:58
When running FireFox within a ThinLinc session and creating a new tab, errors
are logged into /var/log/messages.

Here follows a snippet of what is logged:

  May 16 08:48:12 XXX firefox.desktop: No protocol specified
  May 16 08:48:12 XXX firefox.desktop:
(/usr/lib64/firefox/plugin-container:184566): Gtk-WARNING **: cannot open 
display: :1
  May 16 08:48:12 XX firefox.desktop: [Parent 182621] WARNING: pipe error (54):
Connection reset by peer: file
/builddir/build/BUILD/firefox-52.1.0/firefox-52.1.0esr/ipc/chromium/src/chrome/common/ipc_channel_posix.cc,
line 322
  May 16 08:48:12 XXX firefox.desktop: [Parent 182621] WARNING: pipe error
(68): Connection reset by peer: file
/builddir/build/BUILD/firefox-52.1.0/firefox-52.1.0esr/ipc/chromium/src/chrome/common/ipc_channel_posix.cc,
line 322
  May 16 08:48:12 XXX firefox.desktop: [Parent 182621] WARNING: pipe error
(65): Connection reset by peer: file
/builddir/build/BUILD/firefox-52.1.0/firefox-52.1.0esr/ipc/chromium/src/chrome/common/ipc_channel_posix.cc,
line 322
  May 16 08:48:12 XXX firefox.desktop: [Parent 182621] WARNING: pipe error
(62): Connection reset by peer: file
/builddir/build/BUILD/firefox-52.1.0/firefox-52.1.0esr/ipc/chromium/src/chrome/common/ipc_channel_posix.cc,
line 322
  May 16 08:48:12 XXX firefox.desktop: [Parent 182621] WARNING: pipe error
(63): Connection reset by peer: file
/builddir/build/BUILD/firefox-52.1.0/firefox-52.1.0esr/ipc/chromium/src/chrome/common/ipc_channel_posix.cc,
line 322
  May 16 08:48:12 XXX firefox.desktop: ###!!! [Parent][MessageChannel] Error:
(msgtype=0x2C0085,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
------- Comment #1 From cendio 2017-05-19 09:45:45 -------
I have tried to reproduce the problem on CentOS 7 + FireFox 52.1.0 without
success, however it is reproducible on RHEL7.

Customer reported that if SELinux is set in permissive mode, the problem goes
away.
------- Comment #2 From cendio 2017-05-23 12:58:43 -------
A first step is probably diagnosing the issue further. Is it a bug we should
report to Red Hat? Can we do a work around?
------- Comment #4 From cendio 2017-07-05 12:51:26 -------
This seems to have gone away when bug 6993 was fixed.
------- Comment #5 From cendio 2017-07-06 15:25:20 -------
This has screwed up the test system in some way:

> libsepol.print_missing_requirements: thinlinc's global requirements were not met: type/attribute mozilla_plugin_t (No such file or directory).
> libsemanage.semanage_link_sandbox: Link packages failed (No such file or directory).
> semodule:  Failed!